package com.yanzhu.jh.wxsetting.service;

import java.util.List;
import com.yanzhu.jh.wxsetting.domain.SurMenuConfig;

/**
 * 菜单配置Service接口
 * 
 * @author JiangYuQi
 * @date 2023-08-24
 */
public interface ISurMenuConfigService 
{
    /**
     * 查询菜单配置
     * 
     * @param id 菜单配置主键
     * @return 菜单配置
     */
    public SurMenuConfig selectSurMenuConfigById(Long id);

    /**
     * 查询菜单配置列表
     * 
     * @param surMenuConfig 菜单配置
     * @return 菜单配置集合
     */
    public List<SurMenuConfig> selectSurMenuConfigList(SurMenuConfig surMenuConfig);

    /**
     * 新增菜单配置
     * 
     * @param surMenuConfig 菜单配置
     * @return 结果
     */
    public int insertSurMenuConfig(SurMenuConfig surMenuConfig);

    /**
     * 修改菜单配置
     * 
     * @param surMenuConfig 菜单配置
     * @return 结果
     */
    public int updateSurMenuConfig(SurMenuConfig surMenuConfig);

    /**
     * 批量删除菜单配置
     * 
     * @param ids 需要删除的菜单配置主键集合
     * @return 结果
     */
    public int deleteSurMenuConfigByIds(Long[] ids);

    /**
     * 删除菜单配置信息
     * 
     * @param id 菜单配置主键
     * @return 结果
     */
    public int deleteSurMenuConfigById(Long id);
}
